# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignPersonAndOrganizationAssignment Class Reference

Representation of STEP entity CcDesignPersonAndOrganizationAssignment
.

`#include <StepAP203_CcDesignPersonAndOrganizationAssignment.hxx>`

Inheritance diagram for StepAP203_CcDesignPersonAndOrganizationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_CcDesignPersonAndOrganizationAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aPersonAndOrganizationAssignment_AssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aPersonAndOrganizationAssignment_Role, const Handle(StepAP203_HArray1OfPersonOrganizationItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfPersonOrganizationItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfPersonOrganizationItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfPersonOrganizationItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignPersonAndOrganizationAssignment::StepAP203_CcDesignPersonAndOrganizationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignPersonAndOrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_PersonAndOrganizationAssignment.

Standard_EXPORT void StepAP203_CcDesignPersonAndOrganizationAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aPersonAndOrganizationAssignment_AssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aPersonAndOrganizationAssignment_Role,
|  | const Handle(StepAP203_HArray1OfPersonOrganizationItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfPersonOrganizationItem StepAP203_CcDesignPersonAndOrganizationAssignment::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignPersonAndOrganizationAssignment::SetItems | ( | const Handle(StepAP203_HArray1OfPersonOrganizationItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfPersonOrganizationItem StepAP203_CcDesignPersonAndOrganizationAssignment::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignPersonAndOrganizationAssignment.hxx